Comment 3 for bug 1819928

That's strange. I checked CMake 3.14 release. It still supports wxWidgets_USE_LIBS.
Does Gentoo apply some changes to share/cmake-3.xx/Modules/FindwxWidgets.cmake in the CMake package or otherwise? Otherwise I don't know why it does not work on your side.